/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.gugawag.jsf.beans;

import java.util.ArrayList;
import java.util.List;
import javax.faces.model.DataModel;
import javax.faces.model.ListDataModel;


/**
 *
 * @author profgustavo
 */
public class NomesBean {


    private DataModel nomesModel;
    private String cidadeEscolhida;

    /** Creates a new instance of NomesBean */
    public NomesBean() {
    }


    public DataModel getNomes(){
        List<String> nomes = new ArrayList<String>();
        nomes.add("New York");
        nomes.add("San Francisco");
        nomes.add("San Pablo");

        nomesModel = new ListDataModel(nomes);
        return nomesModel;
    }

    public String excluir(){
        String nomeEscolhido = (String) nomesModel.getRowData();
        System.out.println("Excluindo a cidade: " + nomeEscolhido);
        return null;
    }

    public List<String> getPontosTuristicos(){
        List<String> pontosTuristicos = new ArrayList<String>();
        if ("New York".equals(cidadeEscolhida)){
            pontosTuristicos.add("Moma");
            pontosTuristicos.add("Madson Square Garden");
        }
        if ("San Pablo".equals(cidadeEscolhida)){
            pontosTuristicos.add("Museu do Ipiranga");
            pontosTuristicos.add("Interlagos");
        }
        return pontosTuristicos;
    }

    public String mostrarPT(){
        cidadeEscolhida = (String) nomesModel.getRowData();
        return null;
    }

}
